summaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@gmail.com>2019-01-31 14:24:24 -0500
committerJoseph Hunkeler <jhunkeler@gmail.com>2019-01-31 14:24:24 -0500
commit30ea4ba9222c0d9b24bf401639eddef4e5b9ef89 (patch)
tree13ee9f133b6cc3fc6b6ce6aeef48d1347e125569 /build.sh
downloaddocker-pipeline-nb-30ea4ba9222c0d9b24bf401639eddef4e5b9ef89.tar.gz
Initial commit
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/build.sh b/build.sh
new file mode 100755
index 0000000..98eefb1
--- /dev/null
+++ b/build.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+PROJECT=astroconda/pipeline-nb
+PIPELINE="${1}"
+if [[ -z ${PIPELINE} ]]; then
+ echo "Need a pipeline verison [i.e. hstdp-2018.3a_py###]"
+ exit 1
+fi
+docker build --pull -t ${PROJECT}:${PIPELINE} \
+ --build-arg PIPELINE=${PIPELINE} \
+ .